package com.philisense.www.service.impl;


import com.philisense.www.dao.ProTabColumnAuthDAO;
import com.philisense.www.service.ProTabColumnAuthService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;
import java.util.Map;

@Service
public class ProTabColumnAuthServiceImpl implements ProTabColumnAuthService {

@Autowired
private ProTabColumnAuthDAO proTabColumnAuthDAO;

@Override
public int deleteByPrimaryKey(String id) {
return proTabColumnAuthDAO.deleteByPrimaryKey(id);
}

@Override
public Map<String, Object> selectByPrimaryKey(String id) {
return proTabColumnAuthDAO.selectByPrimaryKey(id);
}

@Override
public int insert(Map<String, Object> map) {
return proTabColumnAuthDAO.insert(map);
}

@Override
public int update(Map<String, Object> map) {
return proTabColumnAuthDAO.update(map);
}

@Override
public int deleteByMap(Map<String, Object> map) {
return proTabColumnAuthDAO.deleteByMap(map);
}

@Override
public int updateByMap(Map<String, Object> map) {
return proTabColumnAuthDAO.updateByMap(map);
}

@Override
public Map<String, Object> getOne(Map<String, Object> map) {
return proTabColumnAuthDAO.getOne(map);
}

@Override
public List<Map<String, Object>> getAll(Map<String, Object> map) {
return proTabColumnAuthDAO.getAll(map);
}

@Override
public List<Map<String, Object>> queryPage(Map<String, Object> map) {
return proTabColumnAuthDAO.queryPage(map);
}

@Override
public int count(Map<String, Object> map) {
return proTabColumnAuthDAO.count(map);
}

@Override
public void insertBatch(List<Map<String, Object>> list) {
proTabColumnAuthDAO.insertBatch(list);
}

@Override
public void deleteBatch(List<Map<String, Object>> list) {
proTabColumnAuthDAO.deleteBatch(list);
}

@Override
public void updateBatch(List<Map<String, Object>> list) {
proTabColumnAuthDAO.updateBatch(list);
}

    @Override
    public List<Map<String, Object>> getPageProTableColumnsByAuthId(Map<String, Object> map) {
        return proTabColumnAuthDAO.getPageProTableColumnsByAuthId(map);
    }

    @Override
    public int getCountProTableColumnsByAuthId(Map<String, Object> map) {
        return proTabColumnAuthDAO.getCountProTableColumnsByAuthId(map);
    }
}